> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tasks



## OpenAPI

````yaml /openapi.json get /v1/tasks
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/tasks:
    get:
      tags:
        - Tasks
      summary: List Tasks
      operationId: tasks.list
      parameters:
        - in: query
          name: page
          description: Page number, 0 indexed.
          schema:
            type: integer
            default: 0
            minimum: 0
          required: false
        - in: query
          name: limit
          description: The page size
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 200
          required: false
        - in: query
          name: sort_order
          schema:
            enum:
              - asc
              - desc
          required: false
        - in: query
          name: sort_by
          schema:
            type: string
            enum:
              - modified_at
              - status
              - type
              - created_at
          required: false
        - in: query
          name: status
          schema:
            type: array
            items:
              enum:
                - open
                - completed
                - closed
                - archived
                - failed
                - processing
                - assigned_to_agent
          required: false
          explode: true
          style: form
        - in: query
          name: type
          schema:
            enum:
              - activity_summary_outreach
              - activity_summary_payments
              - auto_response_email
              - auto_response_call
              - call_analysis
              - disable_contact
              - recommendation_new_contact
              - scheduled_email_approval
              - scheduled_call_approval
          required: false
        - in: query
          name: classification
          schema:
            type: array
            items:
              type: string
          required: false
          explode: true
          style: form
        - in: query
          name: partner_id
          schema:
            type: string
          required: false
        - in: query
          name: assignee
          description: The `User` identifier, (e.g. `usr_abc123`).
          schema:
            type: string
          required: false
        - in: query
          name: is_automated
          schema:
            type: boolean
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Tasks'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    Tasks:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Task'
        current_page:
          type: integer
          default: 0
          description: The current page.
        total_records:
          type: integer
          default: 0
          description: Total number of records.
        next_page:
          type: integer
          default: null
          description: The next page, if one exists.
          nullable: true
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    ValidationError:
      properties:
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
        message:
          type: string
      type: object
    Task:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        action_taken:
          maxLength: 20
          description: The action taken on the task that affected its current state.
          enum:
            - complete
            - complete_with_action
            - close
            - null
          nullable: true
        assignee:
          $ref: '#/components/schemas/User'
        assignee_id:
          type: string
          maxLength: 32
          description: The ID of the user assigned to this task, if any.
          nullable: true
        close_reason:
          type: string
          description: The reason for closing the task, if not completed.
          nullable: true
        completed_action:
          anyOf:
            - type: object
              nullable: true
            - $ref: '#/components/schemas/TaskActionData'
        created_at:
          type: string
          format: date-time
        data:
          type: array
          items:
            $ref: '#/components/schemas/TaskData'
        description:
          type: string
          description: The contextual description of the task.
          nullable: true
        error_reason:
          type: string
          description: The reason for task failing, if an error occurred.
          nullable: true
        label:
          type: string
          description: The blurb or label for the task.
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        organization_id:
          type: string
          maxLength: 32
          description: The ID of the organization this task belongs to.
        status:
          maxLength: 17
          description: The current status of the task.
          enum:
            - open
            - completed
            - closed
            - archived
            - failed
            - processing
            - assigned_to_agent
        trigger_event:
          $ref: '#/components/schemas/Event'
        trigger_event_id:
          type: string
          maxLength: 32
          description: The ID of the event that triggered this task, if any.
          nullable: true
        type:
          maxLength: 26
          description: The type of the task.
          enum:
            - activity_summary_outreach
            - activity_summary_payments
            - auto_response_email
            - auto_response_call
            - call_analysis
            - disable_contact
            - recommendation_new_contact
            - scheduled_email_approval
            - scheduled_call_approval
      required:
        - label
        - object
        - organization_id
        - type
    User:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        created_at:
          type: string
          format: date-time
        dashboard_settings:
          $ref: '#/components/schemas/DashboardSettings'
        default_email_sender_id:
          type: string
          maxLength: 32
          nullable: true
        email:
          type: string
          maxLength: 255
        family_name:
          type: string
        given_name:
          type: string
        invited_by_user_id:
          type: string
          maxLength: 32
          nullable: true
        is_access_approved:
          type: boolean
        is_org_admin:
          type: boolean
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          readOnly: true
        object:
          type: string
        onboarding_required:
          type: boolean
        organization_id:
          type: string
          maxLength: 32
        profile_picture:
          type: string
        selected:
          type: boolean
      required:
        - email
        - family_name
        - given_name
        - object
        - organization_id
    TaskActionData:
      type: object
      properties:
        reason:
          type: string
        status:
          enum:
            - open
            - completed
            - closed
            - archived
            - failed
            - processing
            - assigned_to_agent
        input_data:
          type: object
          additionalProperties: {}
          nullable: true
        output_data:
          type: object
          additionalProperties: {}
          nullable: true
        created_at:
          type: string
          format: date-time
        user_id:
          type: string
    TaskData:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        created_at:
          type: string
          format: date-time
        data:
          description: Task data.
          nullable: true
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        source:
          maxLength: 7
          description: >-
            The source of the task data (e.g., 'email', 'phone', 'slack',
            'invoice', 'account').
          enum:
            - email
            - phone
            - slack
            - invoice
            - account
        task_id:
          type: string
          maxLength: 32
          description: The ID of the task this data belongs to.
        type:
          maxLength: 14
          description: >-
            The type of task data (e.g., 'response', 'classification',
            'analysis', 'summary').
          enum:
            - response
            - classification
            - context
            - analysis
            - summary
            - contact
            - acknowledge
      required:
        - object
        - source
        - task_id
        - type
    Event:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        actor_id:
          type: string
          maxLength: 32
          nullable: true
        created_at:
          type: string
          format: date-time
        data:
          nullable: true
        entity:
          readOnly: true
        entity_id:
          type: string
          description: >-
            The primary key of the entity that this event is related to, e.g.
            inv_123 for invoice.created
          nullable: true
        message:
          type: string
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
        object:
          type: string
        timestamp:
          type: string
          format: date-time
          description: >-
            The time the event occurred (or should occur). This can be set to a
            future time if the event should be scheduled.
      required:
        - name
        - object
    DashboardSettings:
      type: object
      properties:
        thread_emails_sort_order:
          type: string
          default: asc
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````